.hf-four-circle-numbers-wrapper:has(.container.white) {
    background: #fff;
}

.hf-four-circle-numbers-wrapper .container.darktext,
.hf-four-circle-numbers-wrapper .container.darktext h2 {
    color: #000;
}

.hf-four-circle-numbers-wrapper .container.lighttext,
.hf-four-circle-numbers-wrapper .container.lighttext h2 {
    color: #fff;
}

.hf-four-circle-numbers-wrapper .container.black,
.hf-four-circle-numbers-wrapper .circle-group.black {
    background: #000;
}

.hf-four-circle-numbers-wrapper .container.white,
.hf-four-circle-numbers-wrapper .circle-group.white {
    background: #fff;
}

.hf-four-circle-numbers-wrapper .container.whitegradient,
.hf-four-circle-numbers-wrapper .circle-group.whitegradient {
    background: var(--white-gradient);
}

.hf-four-circle-numbers-wrapper .container.gradient,
.hf-four-circle-numbers-wrapper .circle-group.gradient {
    background: var(--main-gradient);
}

.hf-four-circle-numbers-wrapper .container.gradientflip,
.hf-four-circle-numbers-wrapper .circle-group.gradientflip {
    background: var(--main-gradient-flipped);
}

.hf-four-circle-numbers-wrapper .container.bluegradient,
.hf-four-circle-numbers-wrapper .circle-group.bluegradient {
    background: var(--blue-gradient);
}

.hf-four-circle-numbers-wrapper .container.purplegradient,
.hf-four-circle-numbers-wrapper .circle-group.purplegradient {
    background: var(--purple-gradient);
}

.hf-four-circle-numbers-wrapper .container.pinkgradient,
.hf-four-circle-numbers-wrapper .circle-group.pinkgradient {
    background: var(--pink-gradient);
}

.hf-four-circle-numbers-wrapper .circle-group {
    border-radius: 20px;
    padding: 40px 35px;
    width: 100%;
    overflow: hidden;
    position: relative;
}

.hf-four-circle-numbers-wrapper .circle-numbers-wrap {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    gap: 60px;
    width: 100%;
    transition: transform 0.5s ease-in-out;
}

.hf-four-circle-numbers-wrapper h2 {
    margin-bottom: 35px;
}

.hf-four-circle-numbers-wrapper .circle-box {
    background-position: top left 2px;
    background-repeat: no-repeat;
    width: 210px;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.hf-four-circle-numbers-wrapper .circle-wrap {
    background-position: bottom;
    background-repeat: no-repeat;
    text-align: center;
    height: 210px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hf-four-circle-numbers-wrapper .circle-number {
    font-size: 44px;
    font-weight: 600;
    margin-top: 12px;
    margin-bottom: 12px;
}

.hf-four-circle-numbers-wrapper .circle-label {
    font-size: 22px;
    font-weight: 700;
}

.hf-four-circle-numbers-wrapper .circle-title {
    font-size: 16px;
    font-weight: 600;
    line-height: 125%;
    margin-bottom: 18px;
    margin-left: 44px
}

.hf-four-circle-numbers-wrapper .circle-title .title-text {
    top: -9px;
    position: relative;
}

.dots {
    display: none;
    text-align: center;
    margin: 15px;
    padding: 11px;
    background: rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    justify-content: center;
    gap: 5px;
}

.dot {
    width: 10px;
    height: 10px;
    background-color: #7E2CFF;
    display: inline-block;
    border-radius: 10px;
    cursor: pointer;
    transition: width 0.25s ease-in-out;
}

.dot.active {
    background-color: white;
    width: 20px;
}

@media (max-width:1110px) {
    .hf-four-circle-numbers-wrapper .circle-numbers-wrap {
        gap: 20px;
    }
}

@media (max-width:991px) {
    .dots {
        display: flex;
    }

    .hf-four-circle-numbers-wrapper h2 {
        text-align: center;
        gap: 80px;
    }

    .hf-four-circle-numbers-wrapper .circle-numbers-wrap {
        gap: 50px;
        justify-content: flex-start;
    }

    .hf-four-circle-numbers-wrapper .scrolling-div {
        width: 150%;
        /* Extends outside right side */
        position: relative;
        left: 0;
    }
}

@media (max-width: 477px) {
    .hf-four-circle-numbers-wrapper h2 {
        font-size: 30px;
        line-height: 1.2;
        text-align: left;
    }

    .hf-four-circle-numbers-wrapper .container {
        padding: 0;
    }

    .hf-four-circle-numbers-wrapper .circle-group {
        border-radius: 50px;
    }
}